<template>
	<div class=" bg-inicio" :style="`${minHeight} ${sidebar ? minWidth : ''} `">
		<div class=" content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail "><b>¿Listo?</b> Aquí inicia la sesión:</span><br>
					<span class="content-session-inicio">{{ session.name }}</span> <br>
					
					<div class="icon-inicio">
						<i class="ti-bookmark"></i>
					</div>
					
					<a  class="close-btn waves-effect waves-light" href="#" @click.prevent="closeStandarModal()">
					<!-- <i class="ti-angle-right "></i> -->
					<i class="">SÍ</i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>

	import { mapGetters, mapActions } from 'vuex'
	export default {
  		methods : {
  			...mapActions(['closeStandarModal']),
  		},
  		computed: {
			  ...mapGetters(['session', 'course', 'sidebar']),
			dh(){
				return $('.wrapper').height() + 50
			},
			dw(){
				return $('.wrapper').width() - 125
			},
			minHeight(){
				return `min-height : ${this.dh}px;` 
			},
			minWidth(){
				return `min-width : ${this.dw}px;` 
			}
  		}
	}
</script>